This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 643838 - Crash in QRasterPaintEngine::fillRect on Cirrus video card (KVM)
Crash in QRasterPaintEngine::fillRect on Cirrus video card (KVM)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-18 05:26 EDT by Martin Krizek
Modified: 2012-08-16 17:06 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:06:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
palapeli-20101018-043354.kcrash (2.80 KB, application/octet-stream)
2010-10-18 05:26 EDT, Martin Krizek
no flags Details

  None (edit)
Description Martin Krizek 2010-10-18 05:26:37 EDT
Created attachment 454057 [details]
palapeli-20101018-043354.kcrash

Description of problem:
Starting palapeli results in a crash.

Version-Release number of selected component (if applicable):
kdegames.x86_64 6:4.5.2-1.fc14

How reproducible:
Always.

Steps to Reproduce:
1. KDE Menu -> Games -> Logic Games -> Jigsaw puzzle game (Palapeli)
2.
3.
  
Actual results:
Palapeli crashes.

Expected results:
Should run without a crash.

Additional info:
The output of kcrashed attached. System is Fedora 14 Final TC1.
Comment 1 Rex Dieter 2010-10-18 10:48:01 EDT
Sending to bugs.kde.org would be preferable, but I'll look over the backtrace just in case.
Comment 2 Rex Dieter 2010-10-18 10:49:36 EDT
Interesting, most of the backtrace is inside of qt and the raster engine.  Are you purposely using raster?
Comment 3 Martin Krizek 2010-10-19 06:00:15 EDT
Not that I know of. It's a clean install, everything should run on default settings.
Comment 4 Jaroslav Reznik 2010-10-19 08:17:21 EDT
Works for me on clean Fedora 14 install (from LiveCD, installed kdegames package). Even with explicit usage of raster engine.

What's your gfx card?
Comment 5 Martin Krizek 2010-10-19 09:16:16 EDT
Sorry, forgot to mention that system runs in virt-manager, hypervisor: kvm, architecture: x86_64, emulator: qemu-kvm. Video is set to cirrus.
Comment 6 Rex Dieter 2010-10-19 09:47:10 EDT
Can you try this update?
https://admin.fedoraproject.org/updates/qt-4.7.0-6.fc14

(should also help to correct the miscolored background, orange vs blue)
Comment 7 Martin Krizek 2010-10-19 10:00:26 EDT
The qt-4.7.0-6.fc14 does not solve the problem. (miscolored background is fixed though)
Comment 8 Jaroslav Reznik 2010-10-19 10:15:24 EDT
Could you try different video card in KVM?
Comment 9 Martin Krizek 2010-10-19 10:46:20 EDT
If a video card is set up to vga or vmvga, the problem disappears.
Comment 10 Jaroslav Reznik 2010-10-19 11:31:07 EDT
(In reply to comment #9)
> If a video card is set up to vga or vmvga, the problem disappears.

Thanks for info! Another Qt/Cirrus issue and then it belongs probably to upstream Qt bug tracker.
Comment 11 Rex Dieter 2010-12-06 10:26:44 EST
http://bugreports.qt.nokia.com/ please.
Comment 12 Fedora End Of Life 2012-08-16 17:06:09 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.